diff --git a/changelog b/changelog
index 5979f4e..9556f1f 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20091003 tpd src/axiom-website/patches.html 20091003.02.tpd.patch
+20091003 tpd src/interp/i-resolv.lisp cleanup
 20091003 tpd src/axiom-website/patches.html 20091003.01.tpd.patch
 20091003 tpd src/interp/i-spec1.lisp cleanup
 20091002 tpd src/axiom-website/patches.html 20091002.04.tpd.patch
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 9754c7a..bee3ab8 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -2089,5 +2089,7 @@ src/input/rubey.input added<br/>
 src/interp/i-spec2.lisp cleanup<br/>
 <a href="patches/20091003.01.tpd.patch">20091003.01.tpd.patch</a>
 src/interp/i-spec1.lisp cleanup<br/>
+<a href="patches/20091003.02.tpd.patch">20091003.02.tpd.patch</a>
+src/interp/i-resolv.lisp cleanup<br/>
  </body>
 </html>
diff --git a/src/interp/i-resolv.lisp.pamphlet b/src/interp/i-resolv.lisp.pamphlet
index a7f9315..ef52dbe 100644
--- a/src/interp/i-resolv.lisp.pamphlet
+++ b/src/interp/i-resolv.lisp.pamphlet
@@ -137,6 +137,7 @@ this symmetric resolution is done the following way:
 
 (DEFUN |resolveTypeListAny| (|tl|)
   (PROG (|rt|)
+  (declare (special |$Any|))
     (RETURN
       (PROGN
         (SPADLET |rt| (|resolveTypeList| |tl|))
@@ -148,6 +149,7 @@ this symmetric resolution is done the following way:
 
 (DEFUN |resolveTTAny| (|t1| |t2|)
   (PROG (|t3|)
+  (declare (special |$Any|))
     (RETURN
       (COND ((SPADLET |t3| (|resolveTT| |t1| |t2|)) |t3|) ('T |$Any|)))))
 
@@ -192,6 +194,7 @@ this symmetric resolution is done the following way:
 
 (DEFUN |resolveTT1| (|t1| |t2|)
   (PROG (|c1| |arg1| |LETTMP#1| |c2| |arg2| |t|)
+  (declare (special |$String| |$Any| |$Void|))
     (RETURN
       (COND
         ((BOOT-EQUAL |t1| |t2|) |t1|)
@@ -276,6 +279,8 @@ this symmetric resolution is done the following way:
 ;  true
 
 (DEFUN |acceptableTypesToResolve1| (|t1| |t2|)
+  (declare (special |$Integer| |$QuotientField| |$String| |$Float|
+                    |$DoubleFloat|))
   (COND
     ((BOOT-EQUAL |t1| |$Integer|)
      (COND ((BOOT-EQUAL |t2| |$String|) NIL) ('T 'T)))
@@ -493,8 +498,9 @@ this symmetric resolution is done the following way:
 
 (DEFUN |resolveTTSpecial| (|t1| |t2|)
   (PROG (F |Rep| |poly| |t3| |R'| |vl| |f| |g| |mf| |mg| |x| |y| T$ U
-           |d| |ISTMP#2| |ISTMP#3| |u1| |u2| R S |dom| |ISTMP#1|
-           |dom'|)
+           |d| |ISTMP#2| |ISTMP#3| |u1| |u2| R S |dom| |ISTMP#1| |dom'|)
+  (declare (special |$Symbol| |$e| |$Integer| |$NonNegativeInteger|
+                    |$PositiveInteger| |$DoubleFloat| |$Float|))
     (RETURN
       (COND
         ((AND (OR (BOOT-EQUAL |t1| '(|Symbol|))
@@ -987,6 +993,7 @@ this symmetric resolution is done the following way:
 
 (DEFUN |resolveTTRed1| (|t1| |t2| TL)
   (PROG (|LETTMP#1| |c2| |arg2| |l| |t|)
+  (declare (special |$Res|))
     (RETURN
       (SEQ (COND
              ((AND (EQ |t|
@@ -1280,6 +1287,7 @@ this symmetric resolution is done the following way:
 
 (DEFUN |resolveTCat| (|t| |c|)
   (PROG (|ISTMP#1| |t0| |sd| |td| |tc| |ut| |uc| |nt|)
+  (declare (special |$Integer| |$Symbol| |$QuotientField|))
     (RETURN
       (COND
         ((|ofCategory| |t| |c|) |t|)
@@ -1438,6 +1446,7 @@ this symmetric resolution is done the following way:
 (DEFUN |getConditionalCategoryOfType1|
        (|cat| |conditions| |match| |seen|)
   (PROG (|cs| |ISTMP#1| |ISTMP#2| |cond| |ISTMP#3| |catName| |subCat|)
+  (declare (special |$TriangleVariableList|))
     (RETURN
       (SEQ (COND
              ((OR (AND (PAIRP |cat|) (EQ (QCAR |cat|) '|Join|)
@@ -1555,7 +1564,7 @@ this symmetric resolution is done the following way:
 
 (DEFUN |resolveTM| (|t| |m|)
   (PROG (|$Subst| |$Coerce| |tt| |result|)
-    (DECLARE (SPECIAL |$Subst| |$Coerce|))
+    (DECLARE (SPECIAL |$Subst| |$Coerce| |$EmptyMode|))
     (RETURN
       (PROGN
         (|startTimingProcess| '|resolve|)
@@ -1604,6 +1613,7 @@ this symmetric resolution is done the following way:
 
 (DEFUN |resolveTM1| (|t| |m|)
   (PROG (|p| |tr| |mr| |ISTMP#1| |tt|)
+  (declare (special |$Coerce| |$Integer| |$Subst|))
     (RETURN
       (COND
         ((BOOT-EQUAL |t| |m|) |t|)
@@ -1741,6 +1751,7 @@ this symmetric resolution is done the following way:
 
 (DEFUN |resolveTMUnion| (|t| |m|)
   (PROG (|uts| |um'| |success| |ums'| |ums| |m'| |doms| |bad|)
+  (declare (special |$Integer|))
     (RETURN
       (SEQ (PROGN
              (SPADLET |ums| (CDR |m|))
@@ -1799,6 +1810,7 @@ this symmetric resolution is done the following way:
 ;  NIL
 
 (DEFUN |resolveTMTaggedUnion| (|t| |m|)
+  (declare (ignore |t|))
   (PROG (|ums|) (RETURN (PROGN (SPADLET |ums| (CDR |m|)) |m|))))
 
 ;spliceTypeListForEmptyMode(tl,ml) ==
@@ -1873,6 +1885,7 @@ this symmetric resolution is done the following way:
 
 (DEFUN |resolveTMEq| (|t| |m|)
   (PROG (|res| |cm| |argm| |c| |LETTMP#1| |ct| |argt| SL |b| TL)
+  (declare (special |$Subst|))
     (RETURN
       (SEQ (COND
              ((SPADLET |res| (|resolveTMSpecial| |t| |m|)) |res|)
@@ -1943,6 +1956,7 @@ this symmetric resolution is done the following way:
 (DEFUN |resolveTMSpecial| (|t| |m|)
   (PROG (|x| |le| |ISTMP#2| |ISTMP#3| |ISTMP#4| |ISTMP#5| |t1| |m1|
              |lt| |lm| |ok| |l| |u| |ISTMP#1|)
+  (declare (special |$AnonymousFunction|))
     (RETURN
       (SEQ (COND
              ((AND (BOOT-EQUAL |t| |$AnonymousFunction|) (PAIRP |m|)
@@ -2091,6 +2105,7 @@ this symmetric resolution is done the following way:
 
 (DEFUN |resolveTMEq1| (|ct| |cm|)
   (PROG (|xm| |xt| |p| SL |b|)
+  (declare (special |$Subst|))
     (RETURN
       (SEQ (COND
              ((NULL (BOOT-EQUAL (CAR |ct|) (CAR |cm|))) '|failed|)
@@ -2150,7 +2165,9 @@ this symmetric resolution is done the following way:
 ;    null argt and null argm and tt and constructM(ct,nreverse arg)
 
 (DEFUN |resolveTMEq2| (|cm| |argm| TL)
+  (declare (ignore |cm|))
   (PROG (|LETTMP#1| |ct| |x1| |argt| |x2| |tt| |arg|)
+  (declare (special |$Coerce|))
     (RETURN
       (SEQ (PROGN
              (SPADLET |LETTMP#1|
@@ -2197,6 +2214,7 @@ this symmetric resolution is done the following way:
 
 (DEFUN |resolveTMRed| (|t| |m|)
   (PROG (|ct| |argt| |LETTMP#1| |c0| |arg0| TL0 |l| |b| TL)
+  (declare (special |$ResMode|))
     (RETURN
       (SEQ (PROGN
              (SPADLET TL NIL)
@@ -2578,6 +2596,7 @@ this symmetric resolution is done the following way:
 ;  eqType constructT(c,A)
 
 (DEFUN |constructM| (|c| A)
+  (declare (special |$FunctionalExpression|))
   (COND
     ((OR (|containsVars| |c|) (|containsVars| A)) NIL)
     ((BOOT-EQUAL (CAR |c|) |$FunctionalExpression|)
@@ -2695,6 +2714,7 @@ this symmetric resolution is done the following way:
 ;    CGREATERP(PRIN2CVEC opOf t1,PRIN2CVEC opOf t2)
 
 (DEFUN |compareTT| (|t1| |t2|)
+  (declare (special |$QuotientField|))
   (OR (EQCAR |t1| |$QuotientField|)
       (COND
         ((MEMQ (|opOf| |t2|)
